Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType wtc-serverType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}wtc-serverType

Model
  `<...>
  name?, notes?, target?, deployment-order?, wtc-local-tux-dom*, wtc-remote-tux-dom*, wtc-export*, wtc-import*, wtc-password*, wtc-resources?, wtc-tbridge-global?, wtc-tbridge-redirect*
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This MBean defines a WTC Server.

  MBean: `WTCServerMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`anyType` | `wtc-local-tux-dom` 0...∞ The local Tuxedo domains defined for this WTC Server.
`anyType` | `wtc-remote-tux-dom` 0...∞ The remote Tuxedo domains defined for this WTC Server.
`anyType` | `wtc-export` 0...∞ Provides information on services exported by a local Tuxedo access point.
`anyType` | `wtc-import` 0...∞ Provides information on services imported and available on remote domains.
`anyType` | `wtc-password` 0...∞ Specifies the configuration information for inter-domain authentication.
`anyType` | `wtc-resources` optional Specifies global field table classes, view table classes, and application passwords for domains.
`anyType` | `wtc-tbridge-global` optional Specifies global configuration information for the transfer of messages between WebLogic Server and Tuxedo.
`anyType` | `wtc-tbridge-redirect` 0...∞ gets all WTCtBridgeRedirect objects Privileges: Read only Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1